package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */
@AllArgsConstructor
public enum BdkStatusEnum {
    /**
     * 认证类型，1认证抵扣，2认证不抵扣
     */

    A("1", "认证抵扣"), B("2", "认证不抵扣"),

    RZDK("1", "认证抵扣"), RZBDK("2", "认证不抵扣");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (BdkStatusEnum materialEnum : BdkStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }
}
